# Uses of Interface
org.eclipse.mat.parser.IPreliminaryIndex

Packages that use IPreliminaryIndex
Package
Description
org.eclipse.mat.dtfj
This provides the parser for IBM Diagnostic Tooling Framework for Java (DTFJ) dumps, and is just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.parser
Interfaces for handling indexes.

## Uses of IPreliminaryIndex in org.eclipse.mat.dtfj

Methods in org.eclipse.mat.dtfj with parameters of type IPreliminaryIndex
Modifier and Type
Method
Description
`void`
DTFJIndexBuilder.`fill(IPreliminaryIndex index, IProgressListener listener)`

## Uses of IPreliminaryIndex in org.eclipse.mat.hprof

Methods in org.eclipse.mat.hprof with parameters of type IPreliminaryIndex
Modifier and Type
Method
Description
`void`
HprofIndexBuilder.`fill(IPreliminaryIndex preliminary, IProgressListener listener)`
`IIndexReader.IOne2LongIndex`
HprofParserHandlerImpl.`fillIn(IPreliminaryIndex index, IProgressListener listener)`
`IIndexReader.IOne2LongIndex`
IHprofParserHandler.`fillIn(IPreliminaryIndex index, IProgressListener listener)`

## Uses of IPreliminaryIndex in org.eclipse.mat.parser

Methods in org.eclipse.mat.parser with parameters of type IPreliminaryIndex
Modifier and Type
Method
Description
`void`
IIndexBuilder.`fill(IPreliminaryIndex index, IProgressListener listener)`
Pass1 and pass2 parsing.